--- title: "Get certificate list" slug: "edge-getcertificatelist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/edge-getcertificatelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get certificate list Available in Classic and VPC Get the list of provisioned certificates. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/certificate/provisioning | ### Request headers For information about the headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 0-N (default: 1) | | `offset` | Integer | Optional | Number of items per page - 1-N (default: 15) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://edge.apigw.ntruss.com/api/v1/certificate/provisioning' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `slotId` | Long | - | Certificate slot ID | | `commonName` | String | - | Domain name | | `serviceRegion` | String | - | Certificate application scope - `KR_JP` \| `KR_JP_GLOBAL` - `KR_JP`: Korea, Japan - `KR_JP_GLOBAL`: Korea, Japan, global | | `tlsVersion` | String | - | Supported TLS protocol version | | `cipherProfile` | String | - | Active password profile | | `certificateName` | String | - | Certificate name | | `expirationDate` | String | - | Certificate expiration date and time - ISO 8601 format (UTC standard) | | `provisionStatus` | String | - | Provisioning status - `READY` \| `PUBLISHING` \| `RUNNING` \| `DELETING` \| `DELETED` - `READY`: Pending - `PUBLISHING`: In progress (deploying) - `RUNNING`: Completed (running) - `DELETING`: Deleting - `DELETED`: Deletion completed | | `provisionDate` | String | - | Provisioning date and time - ISO 8601 format (UTC standard) | ### Response status codes For information about the HTTP status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": { "content": [ { "slotId": 69, "commonName": "cert***********.kr", "serviceRegion": "KR_JP", "tlsVersion": "1.0,1.1,1.2,1.3", "cipherProfile": "GE-DEFAULT-v1", "certificateName": "cert*****2", "expirationDate": "2025-11-05T23:59:59Z", "provisionStatus": "RUNNING", "provisionDate": "2025-08-07T01:22:34.076Z" }, { "slotId": 68, "commonName": "h************.kr", "serviceRegion": "KR_JP", "tlsVersion": "1.2,1.3", "cipherProfile": "GE-DEFAULT-v1", "certificateName": "cert*******l", "expirationDate": "2025-11-05T23:59:59Z", "provisionStatus": "RUNNING", "provisionDate": "2025-08-07T00:34:58.99Z" } ], "pageable": { "pageNo": 1, "offset": 15, "totalCount": 2 } } } ```